# std::forward_list::emplace_after

From cppreference.com
< cpp‎ | container‎ | forward list

template< class... Args > iterator emplace_after( const_iterator pos, Args&&... args ); |  | (since C++11)

Inserts a new element into a position after the specified position in the container. The element is constructed in-place, i.e. no copy or move operations are performed. The constructor of the element is called with exactly the same arguments, as supplied to the function.

No iterators or references are invalidated.

### Parameters

pos | - | iterator after which the new element will be constructed
args | - | arguments to forward to the constructor of the element

### Return value

iterator to the new element.

### Complexity

Constant.

### Exceptions

If an exception is thrown (e.g. by the constructor), the container is left unmodified, as if this function was never called (strong exception guarantee).

### See also

insert_after | inserts elements after an element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/forward_list/emplace_after&oldid=75426"